Package list python-procrunner / fbc1a2f tox.ini
fbc1a2f

Tree @fbc1a2f (Download .tar.gz)

tox.ini @fbc1a2fraw · history · blame

[tox]
envlist = py27, py34, py35, py36, py37, py38, flake8

[travis]
python =
    3.8: py38
    3.7: py37
    3.6: py36
    3.5: py35
    3.4: py34
    2.7: py27

[testenv:flake8]
basepython = python
deps = flake8
commands = flake8 procrunner

[testenv]
setenv =
    PYTHONPATH = {toxinidir}
deps =
    -r{toxinidir}/requirements_dev.txt
; If you want to make tox run the tests with the same versions, create a
; requirements.txt with the pinned versions and uncomment the following line:
;     -r{toxinidir}/requirements.txt
commands =
    pytest -ra --basetemp={envtmpdir}